Browse Source

style: Pin YAPF to 0.26.0

CI jobs are failing due to new YAPF style guidelines [0] that are not
PEP8 compliant. This commit pins YAPF to 0.26.0 to prevent non-compliant
regressions in the gate.

[0] https://github.com/google/yapf/blob/master/CHANGELOG

Change-Id: I030031f3748cddc5fce3020e7bcfe324b666cbd8
Drew Walters 1 week ago
parent
commit
163cacd973
2 changed files with 2 additions and 2 deletions
  1. 1
    1
      test-requirements.txt
  2. 1
    1
      tox.ini

+ 1
- 1
test-requirements.txt View File

@@ -13,6 +13,6 @@ os-testr>=1.0.0 # Apache-2.0
13 13
 flake8>=3.3.0
14 14
 mock
15 15
 responses>=0.8.1
16
-yapf
16
+yapf==0.26.0
17 17
 
18 18
 grpcio-tools==1.16.0

+ 1
- 1
tox.ini View File

@@ -66,7 +66,6 @@ commands =
66 66
 [testenv:pep8]
67 67
 basepython = python3
68 68
 deps =
69
-    yapf
70 69
     .[bandit]
71 70
     {[testenv]deps}
72 71
 commands =
@@ -97,6 +96,7 @@ commands =
97 96
 
98 97
 [testenv:yapf]
99 98
 basepython = python3
99
+deps = {[testenv]deps}
100 100
 commands =
101 101
     yapf -ir {toxinidir}/armada {toxinidir}/setup.py
102 102
 

Loading…
Cancel
Save